commit:     73b21a1253f24d4d0697de24e1ef3b2e52af0d01
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu May 21 05:43:13 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu May 21 07:08:01 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=73b21a12

app-portage/eix: Workaround dep on protobuf-c

Bug: https://bugs.gentoo.org/724366
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 app-portage/eix/eix-0.34.1.ebuild | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/app-portage/eix/eix-0.34.1.ebuild 
b/app-portage/eix/eix-0.34.1.ebuild
index 243166afda4..d2aaec3c2f0 100644
--- a/app-portage/eix/eix-0.34.1.ebuild
+++ b/app-portage/eix/eix-0.34.1.ebuild
@@ -40,6 +40,11 @@ src_prepare() {
                -i src/eix-functions.sh.in || die
        sed -e "s:'\$(bindir)/eix-functions.sh':cat 
\\\\\"${EPREFIX}/usr/share/eix/eix-functions\\\\\":" \
                -i src/Makefile.am || die
+
+       # workaround unconditional protobuf use
+       # https://bugs.gentoo.org/724366
+       sed -e '/eix-proto\.cc/d' -i src/Makefile.am || die
+
        eautoreconf
 }
 

Reply via email to